package com.ruoyi.common.enums;

/**
 * The enum Review status.
 *
 * @author chen.cheng
 */
public enum ReviewStatus {
    /**
     * Pass review status.
     *
     * @author chen.cheng
     */
    PASS("0", "审核通过"),
    /**
     * No pass review status.
     *
     * @author chen.cheng
     */
    NO_PASS("1", "审核不通过"),
    /**
     * Wait review status.
     *
     * @author chen.cheng
     */
    WAIT("2", "待审核");

    /**
     * The Code.
     *
     * @author chen.cheng
     */
    private final String code;
    /**
     * The Info.
     *
     * @author chen.cheng
     */
    private final String info;

    /**
     * Instantiates a new Review status.
     *
     * @param code the code
     * @param info the info
     * @author chen.cheng
     */
    ReviewStatus(String code, String info) {
        this.code = code;
        this.info = info;
    }

    /**
     * Gets code.
     *
     * @return the code
     * @author chen.cheng
     */
    public String getCode() {
        return code;
    }

    /**
     * Gets info.
     *
     * @return the info
     * @author chen.cheng
     */
    public String getInfo() {
        return info;
    }
}
